블로그 프로필 이미지

(로고출처 : 코드이그나이터 한국 사용자 그룹 - http://www.codeigniter-kr.org)




CI 3.0버전이 나온지는 2015년 3월 19일 로 보면 꽤 오래되었다.RC1 부터 시작하여 현재는 RC3(Release Candidate3) 까지 나와있는것같다. 지금으로부터 불과 한달전만해도 RC2였는데 벌써 RC3가 되었다. 아무튼 무작성 사용하기엔 무리가 없지만서도, 몇가지 바뀐부분과, 추가된 부분들이 있기때문에, 많이 거슬린다.


우선 C.I RC3 를 아래의 링크를 통해 다운받도록 하자.




(코드이그나이터 다운로드 화면) 



위의 싸이트를 접속하면 위의 그림과 같이 친절하게 3.X 버전과 2.X 버전을 다운로드 할 수 있도록 서비스하고있다. 만약 웹을 새로 만든다고 하면 3.X 버전을 써도 무난하나, 원래 있던 싸이트의 CI 를 업그레이드 차원에서 3.X를 쓴다면 좀 생각해봐야 할듯 하다. 그이유는 앞서 말했다시피 변경된 부분과 추가된 부분이 있기때문에, 웹을 새로만드는 것보다 수정하는것이 더 오래걸릴 수 있다. 


나는 아직 RC3는 써보지 않았고, RC2는 써보았다. 한달동안 RC2를 적용시켜서 이것저것 만지면서 웹제작을 하였다. 나는 PHP의 기본적인 기능으로 구성된 웹시스템과, 웹을 소개하는 페이지를 주로 만들기 때문에, CI 2.X 버전과 차이점은 크게 발견하지는 못하였다. 


많이 사용되는것중 변경된 부분을 본다면 세션의 삭제 방법과, 세션의 저장경로, 데이터베이스 기본설정 등이 변경되었다. 이건 내가 메뉴얼을 안보고 사용하다가 계속 뻘짓을 했던 부분중 하나일 뿐이고, 자세한 변경 사항을 알아보려면 아래의 싸이트를 이용하여 알아봐야한다. 



혹시 RC가 뭔 의미인지 궁금한사람이 있을 수 있어서 하는말인데, RC란 쉽게 말해 베타버전 같은거다. 나쁜뜻으로 본다면, 알 수 없는 오류가 생길 수 있는 버전이라는 뜻이다. 하지만, 내가 사용해본결과 오류는 발견할 수 없었다. 주로 변경으로 인한 에러를 뿜어 내었다.


만약 RC3를 이용하여, 오류가 많이 발생된다면 자신의 PHP버전을 확인해 보는게 좋다. RC3 에서는 PHP 5.1.6은 더이상 지원하지 않는다고 한다. RC3를 사용하기 위해선 최소 PHP 5.2.4 이상이 필요로 하며, 가장 적합한 버전으로는 PHP 5.4 이상 되는 버전이다.


이것으로 간단하게?? 나마 코드이그나이터 3.0을 소개해 보았다. 뭐 내가 소개한건 별거 없기 때문에, 자세한건 메뉴얼을 잘 읽어나가면서 하나씩 알아보는게 좋을것이다. 


한가지 아쉬운게 있다면 내가 영어를 너무 못하는것이다. 영어만 잘했어도, 3.0 메뉴얼을 만들어볼 자신이 있다. 분명 어릴때는 영어 꽤 한다는 소리 들었건만, 지금은 번역기 없이는 메뉴얼 하나 못보는 눈뜬 장님에 불과하다니... 게다가 나이가 먹을 수록 기억력이 떨어지는 바람에 봤던거 자꾸 까먹어서 큰일이다. 


일단 술, 담배 멀리하고, 정신을 맑게 하는 운동을 해야할듯 하다. 20대 초만해도술마시고 4시간만 자도, 24시간동안 담배 쭉쭉 빨면서 코딩할 수 있는 체력이  있엇다. 하지만 곧 계란한판(30) 이 되어가는 지금은 잘못하다가 응급실 실려갈 수 있기 때문에 몸관리가 정말 중요한것 같다.. 



 


댓글
(비회원은 자신의 글을 볼 수 없습니다.)